# classes/phing/tasks/ext/phar/PharMetadataElement.php

author
  Alexey Shockov
package
  phing.tasks.ext.phar
since
  2.4.0

## \PharMetadataElement
jump to top

Extends from
  \PharMetadata
author
  Alexey Shockov
package
  phing.tasks.ext.phar
since
  2.4.0

### Properties

`string $name= ''`

Details

Type
  string

`string $value= ''`

Details

Type
  string

### Methods

`getName( ) : string`
Returns

Type | Description
--- | ---
string |

`getValue( ) : string|array`
Return array of
Returns

Type | Description
--- | ---
stringarray |

`setName( string $name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$name | string |

`setValue( string $value ) :`
Parameters

Name | Type | Description
--- | --- | ---
$value | string |

`toArray( ) : string|array`
Returns

Type | Description
--- | ---
stringarray |

Documentation was generated by DocBlox 0.13.1.